
//= rhjr: [h]

#include "base.h"
#include "eightysix.h"
#include "platform/win32_platform.h"

//= rhjr: [c]

#include "base.c"
#include "platform/win32_platform.c"

u8 backing_buffer[ARENA_DEFAULT_SIZE];

int
main(void)
{
  Arena arena = {0};
  arena_init(&arena, &backing_buffer[0], ARENA_DEFAULT_SIZE);

  i64 *idx = arena_alloc(&arena, sizeof(i64));
  *idx = 69;

  i64 *idx2 = arena_alloc(&arena, 2 * sizeof(i64));
  *idx2++ = 69;

  i64 *idx3 = arena_alloc(&arena, sizeof(i64));
  *idx3 = 124;

  *idx2 = 139;

  return 0;
}
